implicit real*8(a-h, o-z)
read *,fem
ell=12.0d-2
poa=0.3
p=1.0d3
young=206.0d9
sendandansei=young/(2*(1+poa))
danmenniji=(2.0d-2**4)/12.0d0
danmenseki=2.0d-2*2.0d-2
tawami=((p*ell**3.d0)/(3.d0*young*danmenniji)) 
timo=((p*ell**3.d0)/(3.d0*young*danmenniji))+&
&((p*ell)/(sendandansei*(5.0/6.0)*danmenseki))
syosou=((fem-tawami)/tawami)*100
timsou=((fem-timo)/timo)*100
hosei=(p/(sendandansei*danmenseki))*(ell/(fem-tawami))
print *,syosou
print *,timsou
print *,hosei
end



